> ## Documentation Index
> Fetch the complete documentation index at: https://docs.streamkap.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Existing Pipeline



## OpenAPI

````yaml /openapi/openapi.json put /pipelines/{pipeline_id}
openapi: 3.1.0
info:
  title: Streamkap REST API
  description: >-
    The Streamkap REST API allows you to programmatically manage your CDC
    pipelines, sources, destinations, transforms, and more.


    Authenticate using a bearer token obtained from the [Access
    Token](/api-reference/auth/access-token) endpoint with your API client
    credentials.
  contact:
    name: Streamkap Support
    url: https://streamkap.com/
    email: support@streamkap.com
  license:
    name: Proprietary
  version: 2.0.0
servers:
  - url: https://api.streamkap.com
    description: Production
security: []
tags:
  - name: Alerts
    description: Manage alert subscribers, preferences, and notification credentials.
  - name: Authentication
    description: Obtain and refresh access tokens, manage client credentials and roles.
  - name: Billing
    description: Retrieve usage metrics, summaries, and export billing data.
  - name: Consumer Groups
    description: List, inspect, and reset Kafka consumer group offsets.
  - name: Dashboard
    description: Retrieve organisation-level statistics and overview data.
  - name: Destinations
    description: Create, configure, and manage data destinations and their lifecycle.
  - name: Kafka Access
    description: Manage Kafka users and their access permissions.
  - name: Logs
    description: Query and summarise system logs.
  - name: Pipelines
    description: Create, configure, and manage CDC pipelines and their lifecycle.
  - name: Project Keys
    description: Manage project keys that bundle API credentials and optional Kafka access.
  - name: Schema Registry
    description: Browse schema subjects, versions, and retrieve schema definitions.
  - name: Services
    description: View and switch service metadata.
  - name: Sources
    description: >-
      Create, configure, and manage data sources, snapshots, and their
      lifecycle.
  - name: Tags
    description: Create, update, and manage resource tags for organisation.
  - name: Topics
    description: Browse topic details, statistics, configurations, metrics, and messages.
  - name: Transforms
    description: >-
      Create, deploy, and manage data transforms, unit tests, and implementation
      details.
paths:
  /pipelines/{pipeline_id}:
    put:
      tags:
        - Pipelines
      summary: Update Existing Pipeline
      operationId: updatePipeline
      parameters:
        - name: pipeline_id
          in: path
          required: true
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Pipeline Id
        - name: secret_returned
          in: query
          required: false
          schema:
            type: boolean
            description: Whether to include secret values in the response
            default: false
            title: Secret Returned
          description: Whether to include secret values in the response
        - name: wait
          in: query
          required: false
          schema:
            type: boolean
            description: >-
              When False, defer destination config update to reconciler instead
              of calling KC directly
            default: true
            title: Wait
          description: >-
            When False, defer destination config update to reconciler instead of
            calling KC directly
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdatePipelineReq'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - FronteggHTTPAuthentication: []
components:
  schemas:
    UpdatePipelineReq:
      properties:
        name:
          type: string
          title: Name
        destination:
          $ref: '#/components/schemas/PipelineDestinationConnector'
        source:
          $ref: '#/components/schemas/PipelineSourceConnector'
        transforms:
          anyOf:
            - items:
                $ref: '#/components/schemas/PipelineTransformConnector'
              type: array
            - type: 'null'
          title: Transforms
        tags:
          items:
            type: string
          type: array
          title: Tags
        periodic_audit:
          anyOf:
            - $ref: '#/components/schemas/UpdatePipelineAuditReq'
            - type: 'null'
        topic_auto_discovery_transforms:
          items:
            $ref: '#/components/schemas/TopicAutoDiscoveryTransform'
          type: array
          title: Topic Auto Discovery Transforms
          default: []
      additionalProperties: true
      type: object
      required:
        - name
        - destination
        - source
        - tags
      title: UpdatePipelineReq
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    PipelineDestinationConnector:
      properties:
        connector:
          type: string
          title: Connector
        name:
          type: string
          title: Name
        id:
          type: string
          title: Id
      additionalProperties: true
      type: object
      required:
        - connector
        - name
        - id
      title: PipelineDestinationConnector
    PipelineSourceConnector:
      properties:
        connector:
          type: string
          title: Connector
        name:
          type: string
          title: Name
        id:
          type: string
          title: Id
        topics:
          items:
            type: string
          type: array
          title: Topics
      additionalProperties: true
      type: object
      required:
        - connector
        - name
        - id
        - topics
      title: PipelineSourceConnector
    PipelineTransformConnector:
      properties:
        topic_id:
          type: string
          title: Topic Id
      additionalProperties: true
      type: object
      required:
        - topic_id
      title: PipelineTransformConnector
    UpdatePipelineAuditReq:
      properties:
        topics:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Topics
        timestamp_column:
          type: string
          title: Timestamp Column
        interval_minutes:
          type: integer
          title: Interval Minutes
        fix_deletes_only:
          type: boolean
          title: Fix Deletes Only
          default: false
      additionalProperties: true
      type: object
      required:
        - topics
        - timestamp_column
        - interval_minutes
      title: UpdatePipelineAuditReq
      description: Update pipeline audit request.
    TopicAutoDiscoveryTransform:
      properties:
        transform_id:
          type: string
          title: Transform Id
        regex:
          type: string
          title: Regex
      additionalProperties: true
      type: object
      required:
        - transform_id
        - regex
      title: TopicAutoDiscoveryTransform
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    FronteggHTTPAuthentication:
      type: http
      scheme: bearer

````